#!/bin/bash

# If a command-line parameter is given, use this as the server port number. Otherwise, use the default value 8090.

CLASSPATH="lib/activation.jar:lib/jaxb-api.jar:lib/jaxb-impl.jar:lib/jsr173_1.0_api.jar:lib/balloontip-1.2.1.jar:lib/tritonus_share-0.3.6.jar:lib/freelords.jar:lib/jorbis-0.0.17.jar:lib/kryonet-2.21-all.jar:lib/org-openide-filesystems.jar:lib/org-openide-util.jar:lib/org-openide-util-lookup.jar:lib/slf4j-api-1.6.3.jar:lib/slf4j-jdk14-1.6.3.jar:lib/tritonus_jorbis-0.3.6.jar:lib/commons-io-2.4.jar"

if test $# -ge 1; then
	java -Djava.util.logging.config.file=conf/logserver.properties -cp $CLASSPATH org.freelords.main.FreelordsMain server $1
else
	java -Djava.util.logging.config.file=conf/logserver.properties -cp $CLASSPATH org.freelords.main.FreelordsMain server
fi

